/*****************************************************************************
  klocate -- a KDE front-end to slocate
  version 0.50.3, March 7, 2004                                                              
  Programmed by: Alexandre Oberlin                              
  Report any Bugs to: alxobr@free.fr   
  Thanks to Kevin Lindsay for programming slocate.                                                                                                                                      
     Copyright (C) version Free Software Foundation, Inc.                       
     This program is free software; you can redistribute it and/or modify    
     it under the terms of the GNU General Public License as published by    
     the Free Software Foundation; either version 2, or (at your option)     
     any later version.                                                      
     This program is distributed in the hope that it will be useful,         
     but WITHOUT ANY WARRANTY; without even the implied warranty of          
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           
     GNU General Public License for more details.                            
     You should have received a copy of the GNU General Public License       
     along with this program; if not, write to the Free Software             
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               
*****************************************************************************/
/****************************************************************
**
** Definition of FileList class
**
****************************************************************/
#ifndef FILELIST_H
#define FILELIST_H
#include <qmessagebox.h> 
#include <qpopupmenu.h> 
#if defined(KDE3)
#include <qcolor.h> 
#endif
#include <keditcl.h>
#include <klineeditdlg.h>
#include <kapp.h>
#include "disklist.h" 
#include <sys/stat.h>  
class FileList : public KEdit
{
    Q_OBJECT
public:
    FileList( QWidget *parent=0, const char *name=0 );
    ~FileList();
    void printLocOutput(const QString output_file, const QString search_pattern, bool clearit, bool print_sparse, bool case_sens);
    void readFont(QFont * fl_font);
    void writeFont();
    bool fontChanged;
#if defined(KDE3)
    static const QColor mycolor_error, mycolor_output, mycolor_abort, mycolor_fixed_search, mycolor_regexp_search;
    void coloredAppend(const QString & text, const QColor & c);
#else
    void insertAtEnd(const QString & text);
#endif
    QPopupMenu* popup;
    int * id; 
public slots:
      void launchSearch();
 void launchRun();
      void launchStart();
      void launchSelectFont();
      void enablePopup();
};
#endif 
